var SelectedAlarm;

function one() //function turn on the knx lamp
{   
   IR.GetDevice("KNX BAOS 771/772").Set(1,100); 
};

function two() //function turn off the knx lamp
{   
   IR.GetDevice("KNX BAOS 771/772").Set(1,0);  
};

var myList = IR.GetItem("Page 1").GetItem("Item 38");

function AddToList(AlarmName)
{
   myList.Clear();
  for (var i = 0; i < AlarmList.length; i++)
  {
   myList.CreateItem(i, 1, {Text: AlarmList[i].Name+' status: '+AlarmList[i].Status});
   
  }  
}

function RefreshList()
{
  myList.Clear();
  for (var i = 0; i < AlarmList.length; i++)
  {
   myList.CreateItem(i, 1, {Text: AlarmList[i].Name+' status: '+AlarmList[i].Status});
   
  }  
}

IR.AddListener(IR.EVENT_ITEM_PRESS, IR.GetItem("Page 1").GetItem("Item 29"),function()
{ 
   var Year, Month, Day, WeekDay, Hour, Minutes, Seconds, Action, Mode
      
   if (IR.GetItem("Page 1").GetItem("Item 35").State == 1)
      Action = one;
   if (IR.GetItem("Page 1").GetItem("Item 36").State == 1)
      Action = two;   
   
   Year =       IR.GetItem("Page 1").GetItem("Item 9").Text;
   Month =      IR.GetItem("Page 1").GetItem("Item 12").Text;
   Day =        IR.GetItem("Page 1").GetItem("Item 15").Text;
   WeekDay =    IR.GetItem("Page 1").GetItem("Item 18").Text;
   
   
   Hour =      IR.GetItem("Page 1").GetItem("Item 21").Text;
   Minutes =   IR.GetItem("Page 1").GetItem("Item 24").Text;
   Seconds =   IR.GetItem("Page 1").GetItem("Item 27").Text;
   Mode =      parseInt(IR.GetItem("Page 1").GetItem("Item 31").Text);
   
   AddEvent(Year, Month, Day, WeekDay, Hour, Minutes, Seconds, Action, Mode)
   AddToList()
});

IR.AddListener(IR.EVENT_ITEM_SELECT, myList, function(item, subitem)
{
  SelectedAlarm = AlarmList[item];
  IR.GetItem("Page 1").GetItem("Item 41").Text = AlarmList[item].Name;
  IR.Log(SelectedAlarm.Name);
});

IR.AddListener(IR.EVENT_ITEM_PRESS, IR.GetItem("Page 1").GetItem("Item 32"),function()
{
   SelectedAlarm.Pause();
   SelectedAlarm.Status = 'Paused';
   AddToList(SelectedAlarm.Name);
});

IR.AddListener(IR.EVENT_ITEM_PRESS, IR.GetItem("Page 1").GetItem("Item 39"),function()
{
  IR.Log("123123")
  SelectedAlarm.StartEvent();
  SelectedAlarm.Status = 'Working';
  AddToList(SelectedAlarm.Name);
});

IR.AddListener(IR.EVENT_ITEM_PRESS, IR.GetItem("Page 1").GetItem("Item 33"),function()
{
  SelectedAlarm.Pause();
  AlarmList.splice(SelectedAlarm,1);
  delete SelectedAlarm;
  IR.GetItem("Page 1").GetItem("Item 41").Text = '';
  RefreshList();
}); 


